/// <reference types="node" />
export declare class Tlv {
    /**
     * Deserializes an tlv message
     * @param buf
     */
    static deserialize(buf: Buffer): Tlv;
    type: number;
    length: bigint;
    body: Buffer;
    /**
     * Serializes the tlv message into a Buffer
     */
    serialize(): Buffer;
}
